Skip to main content
PUT
/
lists
/
{id}
Update List
curl --request PUT \
  --url https://crm.universal.rollout.com/api/lists/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Rollout-Credential-Id: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isFavorite": true
}
'
{
  "id": "<string>",
  "originalIds": {},
  "original": {},
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "peopleParticipantIds": [
    "<string>"
  ],
  "name": "<string>",
  "isFavorite": true,
  "description": "<string>"
}
PUT /lists/{id} Base URL: https://crm.universal.rollout.com/api

Parameters

NameInTypeRequired
idpathstringYes

Responses

StatusDescription
200OK
400Bad Request
404Not Found
409Conflict

OpenAPI Source

/openapi/crm.json PUT /lists/{id}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Path Parameters

id
string
required

Body

name
string
description
string
isFavorite
boolean

Response

OK

id
string
required
originalIds
object
required
original
object
required
created
string
required
updated
string
required
rolloutUpdated
string
required
peopleParticipantIds
string[]
required
name
string
required
isFavorite
boolean
required
description
string
required